#include <iostream>
#include <vector>
#include <math.h>
#include <map>
#include <algorithm>
#include <set>
#include <iomanip>
#include <unordered_map>
#include <unordered_set>
#include <string>

typedef long long ll;
typedef long double ld;

using namespace std;

ll const MAXN = 5e5 + 1;
ll const A = 367;
ll const B = 1e9 + 7;
ll o = 0;


ll logpow(ll num, ll deb) {
	ll sum = 1;
	while (deb != 0) {
		if (deb % 2 == 0) {
			num *= num;
			deb /= 2;
		}
		else {
			sum *= num;
			deb--;
		}
	}
	return sum;
}


void solve() {
	ll n, m;
	cin >> n >> m;
	cout << m - n + 1 << endl << 1 << endl;
}

int main()
{
	ll t = 1;
	//cin>> t;
	while (t--) {
		solve();
	}
}
